Upgrade from 3.8.7 to 3.8.9

I read the README file.

Upgrading from 3.8.7

ran ./configure - ran ok

then did

make upgrade

Whats broken?

I go this back:

SOME DEPENDENCIES WERE MISSING.
STANDALONE missing dependencies:
HTTP::Server::Simple::Mason >= 0.14 …MISSING
GPG missing dependencies:
GnuPG::Interface …MISSING
syntax error at
/usr/lib/perl5/site_perl/5.8.8/GnuPG/Interface.pm line 16, near "with
qw(GnuPG::HashInit)"
CORE missing dependencies:
MIME::Entity >= 5.425 …MISSING
File::Temp >= 0.19 …MISSING
Sys::Syslog >= 0.16 …MISSING
Encode >= 2.21 …MISSING
FASTCGI missing dependencies:
CGI >= 3.38 …MISSING
make: *** [testdeps] Error 1

Michael T. Voity
Network Engineer
TelJet Longhaul LLC
Williston, VT 05495
E:mvoity@teljet.com

I read the README file.

Upgrading from 3.8.7

ran ./configure - ran ok

then did

make upgrade

Whats broken?

You skipped the make testdeps / make fixdeps steps
from the README

-kevin

Kevin,

Thanks for the response.

Simon Dray has helped me out a little bit and i got a little bit farther.

the next issue is:
SOME DEPENDENCIES WERE MISSING.
GPG missing dependencies:
GnuPG::Interface …MISSING
syntax error at
/usr/lib/perl5/site_perl/5.8.8/GnuPG/Interface.pm line 16, near “with
qw(GnuPG::HashInit)”

I also ran fixdeps and that did not help.

What am I missing?

Thank you,

-MikOn Fri, Feb 18, 2011 at 10:04 AM, Kevin Falcone falcone@bestpractical.comwrote:

On Thu, Feb 17, 2011 at 09:07:17PM -0500, Voity, Michael T. wrote:

I read the README file.

Upgrading from 3.8.7

ran ./configure - ran ok

then did

make upgrade

Whats broken?

You skipped the make testdeps / make fixdeps steps
from the README

-kevin

I go this back:

SOME DEPENDENCIES WERE MISSING.
STANDALONE missing dependencies:
HTTP::Server::Simple::Mason >= 0.14 …MISSING
GPG missing dependencies:
GnuPG::Interface …MISSING
syntax error at
/usr/lib/perl5/site_perl/5.8.8/GnuPG/Interface.pm line 16, near "with
qw(GnuPG::HashInit)"
CORE missing dependencies:
MIME::Entity >= 5.425 …MISSING
File::Temp >= 0.19 …MISSING
Sys::Syslog >= 0.16 …MISSING
Encode >= 2.21 …MISSING
FASTCGI missing dependencies:
CGI >= 3.38 …MISSING
make: *** [testdeps] Error 1

Disregard…

Not enough coffee yet. those perl cpan command are coming back to me…

Thanks for the help!

-MikeOn Fri, Feb 18, 2011 at 10:31 AM, Voity, Michael T. mvoity@teljet.comwrote:

Kevin,

Thanks for the response.

Simon Dray has helped me out a little bit and i got a little bit farther.

the next issue is:
SOME DEPENDENCIES WERE MISSING.
GPG missing dependencies:
GnuPG::Interface …MISSING
syntax error at
/usr/lib/perl5/site_perl/5.8.8/GnuPG/Interface.pm line 16, near “with
qw(GnuPG::HashInit)”

I also ran fixdeps and that did not help.

What am I missing?

Thank you,

-Mik

On Fri, Feb 18, 2011 at 10:04 AM, Kevin Falcone <falcone@bestpractical.com wrote:

On Thu, Feb 17, 2011 at 09:07:17PM -0500, Voity, Michael T. wrote:

I read the README file.

Upgrading from 3.8.7

ran ./configure - ran ok

then did

make upgrade

Whats broken?

You skipped the make testdeps / make fixdeps steps
from the README

-kevin

I go this back:

SOME DEPENDENCIES WERE MISSING.
STANDALONE missing dependencies:
HTTP::Server::Simple::Mason >= 0.14 …MISSING
GPG missing dependencies:
GnuPG::Interface …MISSING
syntax error at
/usr/lib/perl5/site_perl/5.8.8/GnuPG/Interface.pm line 16, near "with
qw(GnuPG::HashInit)"
CORE missing dependencies:
MIME::Entity >= 5.425 …MISSING
File::Temp >= 0.19 …MISSING
Sys::Syslog >= 0.16 …MISSING
Encode >= 2.21 …MISSING
FASTCGI missing dependencies:
CGI >= 3.38 …MISSING
make: *** [testdeps] Error 1

Michael T. Voity
Network Engineer
TelJet Longhaul LLC
45 Krupp Drive
Williston, VT 05495
D:(802) 922-9507
F:(802) 264-3003
C:(802) 316-9110
E:mvoity@teljet.com